Overview
Comment: | Updated to work with compilers that add ".exe" to output files |
---|---|
Downloads: | Tarball | ZIP archive | SQL archive |
Timelines: | family | ancestors | descendants | both | trunk |
Files: | files | file ages | folders |
SHA1: | 7ca49930e295bc48117339d6152e14472d63b6f6 |
User & Date: | rkeene on 2015-03-31 03:33:36 |
Other Links: | manifest | tags |
Context
2015-03-31
| ||
22:21 | Added build scripts for Mac OS X check-in: a3be2dcd83 user: rkeene tags: trunk | |
03:33 | Updated to work with compilers that add ".exe" to output files check-in: 7ca49930e2 user: rkeene tags: trunk | |
03:32 | Update the 'installvfs.tcl' tool to always copy to a new file before making any modifications. check-in: d720e221c4 user: mistachkin tags: trunk | |
Changes
Modified kitsh/build.sh from [b037ed5b3c] to [60eb9576ab].
106 107 108 109 110 111 112 113 114 115 116 117 118 119 ... 127 128 129 130 131 132 133 134 135 136 137 138 139 140 141 ... 172 173 174 175 176 177 178 179 180 181 182 183 184 185 186 187 188 189 190 191 192 193 |
EXTRA_OBJS="${EXTRA_OBJS} ${TKRSRC}" echo ' *** Removing "kit.rc" since we have Tk with its own resource file' rm -f "${BUILDDIR}/kit.rc" fi # Determine if target is KitDLL or KitSH if [ "${KITTARGET}" = "kitdll" ]; then CONFIGUREEXTRA="${CONFIGUREEXTRA} --enable-kitdll" fi # Compile Kit if [ -z "${ZLIBDIR}" ]; then ................................................................................ fi echo "Running: ${MAKE:-make} TCLSH_NATIVE=\"${TCLSH_NATIVE}\"" ${MAKE:-make} TCLSH_NATIVE="${TCLSH_NATIVE}" || exit 1 # Strip the kit of all symbols, if possible if ! echo " ${CONFIGUREEXTRA} " | grep ' --enable-symbols ' >/dev/null; then "${STRIP:-strip}" kit >/dev/null 2>/dev/null "${STRIP:-strip}" -g libtclkit* >/dev/null 2>/dev/null fi # Fix up Win32 DLL names ## .DLL.A -> .LIB for file in libtclkit*.dll.a; do if [ ! -f "${file}" ]; then ................................................................................ KITTARGET_NAME="${chkkittarget}" break done ## Also create an executable named "kit" so that we can run it later ${MAKE:-make} tclsh mv tclsh kit else ## The executable is always named "kit" KITTARGET_NAME='kit' fi export KITTARGET_NAME if [ "x${KITTARGET_NAME}" = 'x__error__' ]; then echo "Failed to locate kit target!" >&2 exit 1 fi # Intall VFS onto kit ## Determine if we have a Tclkit to do this work |
> > > | > > > | > > > > | > | |
106 107 108 109 110 111 112 113 114 115 116 117 118 119 120 121 122 ... 130 131 132 133 134 135 136 137 138 139 140 141 142 143 144 ... 175 176 177 178 179 180 181 182 183 184 185 186 187 188 189 190 191 192 193 194 195 196 197 198 199 200 201 202 203 204 |
EXTRA_OBJS="${EXTRA_OBJS} ${TKRSRC}" echo ' *** Removing "kit.rc" since we have Tk with its own resource file' rm -f "${BUILDDIR}/kit.rc" fi # Cleanup rm -f kit kit.exe tclsh tclsh.exe # Determine if target is KitDLL or KitSH if [ "${KITTARGET}" = "kitdll" ]; then CONFIGUREEXTRA="${CONFIGUREEXTRA} --enable-kitdll" fi # Compile Kit if [ -z "${ZLIBDIR}" ]; then ................................................................................ fi echo "Running: ${MAKE:-make} TCLSH_NATIVE=\"${TCLSH_NATIVE}\"" ${MAKE:-make} TCLSH_NATIVE="${TCLSH_NATIVE}" || exit 1 # Strip the kit of all symbols, if possible if ! echo " ${CONFIGUREEXTRA} " | grep ' --enable-symbols ' >/dev/null; then "${STRIP:-strip}" kit kit.exe >/dev/null 2>/dev/null "${STRIP:-strip}" -g libtclkit* >/dev/null 2>/dev/null fi # Fix up Win32 DLL names ## .DLL.A -> .LIB for file in libtclkit*.dll.a; do if [ ! -f "${file}" ]; then ................................................................................ KITTARGET_NAME="${chkkittarget}" break done ## Also create an executable named "kit" so that we can run it later ${MAKE:-make} tclsh if [ -f "tclsh.exe" ]; then mv tclsh.exe kit.exe else mv tclsh kit fi else ## The executable is always named "kit" if [ -f 'kit.exe' -a ! -f 'kit' ]; then KITTARGET_NAME='kit.exe' else KITTARGET_NAME='kit' fi fi export KITTARGET_NAME if [ "${KITTARGET_NAME}" = '__error__' ]; then echo "Failed to locate kit target!" >&2 exit 1 fi # Intall VFS onto kit ## Determine if we have a Tclkit to do this work |